- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IMappedStatement
TCachingStatement
TDeleteMappedStatement
TInsertMappedStatement
TMappedStatement
TPostSelectBinding
TPreparedCommand
TPreparedStatement
TPreparedStatementFactory
TResultSetListItemParameter
TResultSetMapItemParameter
TSelectMappedStatement
TSimpleDynamicSql
TSqlMapObjectCollectionTree
TSqlMapSelect
TStaticSql
TUpdateMappedStatement

Keyword

# Class TUpdateMappedStatement

    TComponent
       |
       --TMappedStatement
          |
          --TUpdateMappedStatement

#### Direct Known Sub-classes:

TDeleteMappedStatement

TUpdateMappedStatement class.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constants Inherited From TMappedStatement
QUERY_FOR_ARRAY, QUERY_FOR_LIST, QUERY_FOR_OBJECT,

Method Summary
void | executeInsert ( mixed $connection, mixed $parameter)
void | executeQueryForList ( mixed $connection, mixed $parameter, mixed $result, mixed $skip, mixed $max)
void | executeQueryForMap ( mixed $connection, mixed $parameter, mixed $keyProperty, mixed $valueProperty)
void | executeQueryForObject ( mixed $connection, mixed $parameter, mixed $result)

Methods Inherited From TMappedStatement

TMappedStatement::addResultMapGroupBy(), TMappedStatement::applyResultMap(), TMappedStatement::enquequePostSelect(), TMappedStatement::executeInsert(), TMappedStatement::executePostSelect(), TMappedStatement::executeQueryForList(), TMappedStatement::executeQueryForMap(), TMappedStatement::executeQueryForObject(), TMappedStatement::executeSelectKey(), TMappedStatement::executeSQLQueryLimit(), TMappedStatement::executeUpdate(), TMappedStatement::fillArrayResultMap(), TMappedStatement::fillDefaultResultMap(), TMappedStatement::fillPropertyWithResultMap(), TMappedStatement::fillResultArrayList(), TMappedStatement::fillResultClass(), TMappedStatement::fillResultMap(), TMappedStatement::fillResultObjectProperty(), TMappedStatement::getCommand(), TMappedStatement::getID(), TMappedStatement::getManager(), TMappedStatement::getPostGeneratedSelectKey(), TMappedStatement::getPostSelectKeys(), TMappedStatement::getPreGeneratedSelectKey(), TMappedStatement::getResultMapGroupKey(), TMappedStatement::getScalarResult(), TMappedStatement::getSqlString(), TMappedStatement::getStatement(), TMappedStatement::initialGroupByResults(), TMappedStatement::onExecuteQuery(), TMappedStatement::raiseRowDelegate(), TMappedStatement::runQueryForList(), TMappedStatement::runQueryForMap(), TMappedStatement::runQueryForObject(), TMappedStatement::setObjectProperty()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## executeInsert

public void executeInsert | (mixed $connection , mixed $parameter )

Input
mixed | $connection |
mixed | $parameter |
Output
Exception

## executeQueryForList

public void executeQueryForList | (mixed $connection , mixed $parameter , mixed $result , mixed $skip , mixed $max )

Input
mixed | $connection |
mixed | $parameter |
mixed | $result |
mixed | $skip |
mixed | $max |
Output
Exception

## executeQueryForMap

public void executeQueryForMap | (mixed $connection , mixed $parameter , mixed $keyProperty , mixed $valueProperty )

Input
mixed | $connection |
mixed | $parameter |
mixed | $keyProperty |
mixed | $valueProperty |
Output
Exception

## executeQueryForObject

public void executeQueryForObject | (mixed $connection , mixed $parameter , mixed $result )

Input
mixed | $connection |
mixed | $parameter |
mixed | $result |
Output
Exception